include ../header/header
include ../field/field
include ../field-options/field-options
include ../switch/switch
include ../select/select
include ../button/button
include ../cart-item/cart-item
include ../promo/promo
include ../comment/comment
include ../bonuses/bonuses
include ../order/order
include ../bill/bill

mixin cart-page(data)
	- data = data || {}

	+bill(data.bill)

	+b.cart-page(
		data-event-goods-add= data.eventGoodsAdd
	).js-cart-page

		+e.wrap
			+e.items
				+e.top
					+header(data.items.itemsTitle).cart-page__top-title
					+button(data.openBill).cart-page__top-btn.js-cert-page-bill
				+e.items-items.js-items
					each el in data.items.items
						+e.item
							+cart-item(el)
				+header(data.items.offersTitle).cart-page__offers-title.js-offers-title
				+e.items-offers.js-offers
					each el in data.items.offers
						+e.offer
							+cart-item(el)
			+e.form
				+e.form-form(
					action= "catalog.html"
					data-url-delivery= "resources/cartDelivery.json"
					data-ajax-method= "GET"
				).FORM.js-cart-page-form
					+header(data.order.title).cart-page__form-title
					+e.form-city
						+switch(data.order.city)
					+e.form-delivery.js-city-delivery В&nbsp;Московской области доставляем до&nbsp;40&nbsp;км от&nbsp;МКАДа
					+e.form-delivery(
						style= {display:"none"}
					).js-city-delivery
						| В&nbsp;Ленинградской области доставляем до&nbsp;20&nbsp;км от&nbsp;КАДа.
						br
						|  Стоимость доставки может измениться после&nbsp;заказа

					+e.form-hidden
						input(type="hidden" name="f_Delivery").js-delivery-id
						input(type="hidden" name="f_DeliveryPrice").js-delivery-price
						input(type="hidden" name="f_MKAD").js-in-mkad
						input(type="hidden" name="f_MkadDistance").js-mkad-dist

					+e.form-items
						+e.form-addr
							+field-options(data.order.addr)
						+e.form-date.js-city-date
							+select(data.order.date.msk)
						+e.form-item(
							style= {display:"none"}
						).js-city-date
							+select(data.order.date.spb)
						each el in data.order.fields
							+e.form-item
								+field(el)
					+e.form-add
						+promo(data.order.promo).cart-page__form-add-el
						+comment({"name": "f_Comments"}).cart-page__form-add-el
					+e.form-bonuses
						+bonuses(data.bonuses)
					+e.form-payment
						input(type="hidden" name="f_PaymentMethod" value= 2).js-payment-method
					+e.form-offer
						+field(data.order.offer)
					+e.form-payment
						each el in data.order.payment
							+e.form-payment-img.IMG(
								src= "img/" + el.src
								class= el.tall ? "_tall" : ""
							)

		+e.order
			+order(data.orderBlock)
